Package com.smartgwt.client.bean.types

# Class ArrayValueType<ValueType>

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.ArrayValueType<ValueType>

Direct Known Subclasses:
  `NonPrimitiveArrayValueType`, `PBooleanArrayValueType`, `PDoubleArrayValueType`, `PFloatArrayValueType`, `PIntegerArrayValueType`, `PLongArrayValueType`

public abstract class ArrayValueType<ValueType> extends BeanValueType<ValueType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `protected BeanValueType.Convertability`
  `convertabilityFromPrimitiveArray(Object primitiveArray)`
  `protected BeanValueType.Convertability`
  `convertabilityToComponentType(Object value)`
  `protected ValueType`
  `convertFrom(boolean[] array)`
  `protected ValueType`
  `convertFrom(double[] array)`
  `protected ValueType`
  `convertFrom(float[] array)`
  `protected ValueType`
  `convertFrom(int[] array)`
  `protected ValueType`
  `convertFrom(long[] array)`
  `ValueType`
  `convertFrom(Object value)`
  `protected abstract ValueType`
  `convertFrom(Object[] array)`
  `protected ValueType`
  `convertFromPrimitiveArray(Object array)`
  `protected Class`
  `getComponentType()`
  `protected BeanValueType`
  `getComponentValueType()`
  `protected boolean`
  `isAssignableFrom(Object value)`
  `protected BeanValueType.Convertability`
  `leastConvertabilityToComponentType(Object[] array)`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, getValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrayValueType

    public ArrayValueType()

- ## Method Details

  - ### isAssignableFrom

    protected boolean isAssignableFrom(Object value)
    Specified by:
      `isAssignableFrom` in class `BeanValueType<ValueType>`

  - ### getComponentType

    protected Class getComponentType()

  - ### getComponentValueType

    protected BeanValueType getComponentValueType()

  - ### convertabilityToComponentType

    protected BeanValueType.Convertability convertabilityToComponentType(Object value)

  - ### leastConvertabilityToComponentType

    protected BeanValueType.Convertability leastConvertabilityToComponentType(Object[] array)

  - ### convertabilityFromPrimitiveArray

    protected BeanValueType.Convertability convertabilityFromPrimitiveArray(Object primitiveArray)

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `BeanValueType<ValueType>`

  - ### convertFrom

    protected abstract ValueType convertFrom(Object[] array)

  - ### convertFrom

    protected ValueType convertFrom(boolean[] array)

  - ### convertFrom

    protected ValueType convertFrom(double[] array)

  - ### convertFrom

    protected ValueType convertFrom(float[] array)

  - ### convertFrom

    protected ValueType convertFrom(int[] array)

  - ### convertFrom

    protected ValueType convertFrom(long[] array)

  - ### convertFromPrimitiveArray

    protected ValueType convertFromPrimitiveArray(Object array)

  - ### convertFrom

    public ValueType convertFrom(Object value)
    Overrides:
      `convertFrom` in class `BeanValueType<ValueType>`